Package org.eclipse.rdf4j.sail

## Interface NotifyingSailConnection

- All Superinterfaces:
    `AutoCloseable`, `SailConnection`
  All Known Subinterfaces:
    `InferencerConnection`
  All Known Implementing Classes:
    `AbstractForwardChainingInferencerConnection`, `AbstractNotifyingSailConnection`, `DedupingInferencerConnection`, `ElasticsearchStoreConnection`, `ExtensibleStoreConnection`, `InferencerConnectionWrapper`, `LimitedSizeNativeStoreConnection`, `LmdbStoreConnection`, `LuceneSailConnection`, `MemoryStoreConnection`, `NativeStoreConnection`, `NotifyingSailConnectionBase`, `NotifyingSailConnectionWrapper`, `SailSourceConnection`, `SchemaCachingRDFSInferencerConnection`, `ShaclSailConnection`

      public interface NotifyingSailConnection
      extends SailConnection

  A connection to an RDF Sail object. A SailConnection is active from the moment it is created until it is closed. Care should be taken to properly close SailConnections as they might block concurrent queries and/or updates on the Sail while active, depending on the Sail-implementation that is being used.
  Author:
    James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConnectionListener​(SailConnectionListener listener)` | Registers a SailConnection listener with this SailConnection.
    `void` | `removeConnectionListener​(SailConnectionListener listener)` | Deregisters a SailConnection listener with this SailConnection.

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, explain, flush, getContextIDs, getNamespace, getNamespaces, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatements, rollback, setNamespace, setTransactionSettings, size, startUpdate`

- - ### Method Detail

    - #### addConnectionListener

          void addConnectionListener​(SailConnectionListener listener)

      Registers a SailConnection listener with this SailConnection. The listener should be notified of any statements that are added or removed as part of this SailConnection.
      Parameters:
        `listener` - A SailConnectionListener.

    - #### removeConnectionListener

          void removeConnectionListener​(SailConnectionListener listener)

      Deregisters a SailConnection listener with this SailConnection.
      Parameters:
        `listener` - A SailConnectionListener.